### Constructor

# Gtk DropDownnew

#### Declaration [src]

    GtkWidget*
    gtk_drop_down_new (
      GListModel* model,
      GtkExpression* expression
    )

#### Description [src]

Creates a new `GtkDropDown`.

You may want to call `gtk_drop_down_set_factory()` to set up a way to map its items to widgets.

#### Parameters

`model`

  Type: `GObject`

  The model to use.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`expression`

  Type: `GtkExpression`

  The expression to use.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkWidget`

A new `GtkDropDown`

The data is owned by the called function.